[arch-commits] Commit in scim/repos/extra-x86_64 (PKGBUILD scim.install)
Eric Bélanger
eric at archlinux.org
Tue Mar 10 23:58:13 UTC 2009
Date: Tuesday, March 10, 2009 @ 19:58:13
Author: eric
Revision: 29659
Ran extrapkg intead of testingpkg by mistake. Fixing
Modified:
scim/repos/extra-x86_64/PKGBUILD
scim/repos/extra-x86_64/scim.install
--------------+
PKGBUILD | 35 +++++++++++++++++++++--------------
scim.install | 19 +++++++++++++++++--
2 files changed, 38 insertions(+), 16 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-03-10 23:56:16 UTC (rev 29658)
+++ PKGBUILD 2009-03-10 23:58:13 UTC (rev 29659)
@@ -1,25 +1,32 @@
# $Id$
# Maintainer: damir <damir at archlinux.org>
-# Contributor: Gan Lu <rhythm.gan at gmail.com>
+# Contributer: Gan Lu <rhythm.gan at gmail.com>
pkgname=scim
-pkgver=1.4.8
-pkgrel=3
+pkgver=1.4.7
+pkgrel=1
pkgdesc="A Input Method development platform"
arch=("i686" "x86_64")
+depends=('gtk2' 'gcc')
+makedepends=('intltool')
+install=scim.install
url="http://www.scim-im.org/projects/scim"
license=('GPL')
-depends=('gtk2' 'gcc-libs')
-makedepends=('intltool')
-options=('!libtool')
-install=scim.install
-source=(http://downloads.sourceforge.net/sourceforge/scim/$pkgname-$pkgver.tar.gz)
-md5sums=('c52da019d48df4ba44cbd01558203cc7')
+source=(http://puzzle.dl.sourceforge.net/sourceforge/scim/$pkgname-$pkgver.tar.gz)
+md5sums=('840dcfd4264a1443478c188ff747984e')
build() {
- cd $srcdir/$pkgname-$pkgver
- ./configure --prefix=/usr --sysconfdir=/etc \
- --with-gnu-ld --with-x --disable-static || return 1
- make || return 1
- make DESTDIR=$startdir/pkg install || return 1
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr\
+ --sysconfdir=/etc\
+ --with-gnu-ld \
+ --with-x \
+ --disable-config-gconf \
+ --disable-static \
+ # --enable-debug --enable-tests # use with --nostrip
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+ # say goodbye to .la files:
+ find $startdir/pkg -name '*.la' -exec rm {} \;
}
+
Modified: scim.install
===================================================================
--- scim.install 2009-03-10 23:56:16 UTC (rev 29658)
+++ scim.install 2009-03-10 23:58:13 UTC (rev 29659)
@@ -1,3 +1,4 @@
+# arg 1: the new package version
post_install() {
echo -n "updating gtk.immodules... "
/usr/bin/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
@@ -4,10 +5,24 @@
echo "done."
}
+# arg 1: the new package version
+# arg 2: the old package version
post_upgrade() {
- post_install
+ /bin/true
}
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
post_remove() {
- post_install
+ echo -n "updating gtk.immodules... "
+ /usr/bin/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
+ echo "done."
}
+
+op=$1
+shift
+$op $*
More information about the arch-commits
mailing list